#ifndef WakePortH
#define WakePortH

#include "WakeCom.h"
#include "commands.hpp"
#include <stdint.h>
#include "Defs.h"

#define DEVICE_NAME "E-004" //имя устройства
#define BAUD_RATE     19200 //скорость обмена, бод

//------------------ Класс последовательного порта WAKE: ---------------------

class TWakePort : public TWakeCom
{
private:
  int __fastcall Code2Val(int c);
  int __fastcall Val2Code(int v);

protected:

public:
  __fastcall TWakePort();
  __fastcall ~TWakePort();
  void __fastcall SetMode(int m);
  void __fastcall SetSpoolMode(int m);
  void __fastcall SetCapstan(int m);
  void __fastcall SetTC(int m);
  void __fastcall SetSolenoids(int s);
  void __fastcall SetTension(int mode, ten_t &t);
  void __fastcall GetTension(int mode, ten_t &t);
  void __fastcall SetSpool(int m1, int m2);
  void __fastcall SetAudio(int a);
  void __fastcall GetState(state_t &s);
  void __fastcall SetParams(params_t &p);
  void __fastcall GetParams(params_t &p);
  void __fastcall EESave(void);
  void __fastcall Default(void);
};

//---------------------------------------------------------------------------

#endif
